summaryrefslogtreecommitdiffstats
path: root/utils/tools/ubuntu-server-clouding-modify.sh
diff options
context:
space:
mode:
authorliyin <liyin11@huawei.com>2017-01-12 16:09:29 +0800
committerAce Lee <liyin11@huawei.com>2017-01-13 06:44:59 +0000
commitf170807114da06e2f002f88206d0035030e95c6b (patch)
treeaebdd3b67b2e2f652ca630ce2fe93c084a980415 /utils/tools/ubuntu-server-clouding-modify.sh
parente1a54d34819563946d1ff1ec673d1d261b826ad8 (diff)
bottlenecks create stack image
JIRA:BOTTLENECK-125 This code incloud the actions below: 1)download unbuntu image. 2)modify this image bu mount it. 3)pack all files into a new image. those two files are copied from yardstick and slightly modified. Change-Id: I99c1ab266202767717906aed544d7e96cfeaa1a3 Signed-off-by: liyin <liyin11@huawei.com>
Diffstat (limited to 'utils/tools/ubuntu-server-clouding-modify.sh')
-rwxr-xr-xutils/tools/ubuntu-server-clouding-modify.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/utils/tools/ubuntu-server-clouding-modify.sh b/utils/tools/ubuntu-server-clouding-modify.sh
new file mode 100755
index 00000000..505825a1
--- /dev/null
+++ b/utils/tools/ubuntu-server-clouding-modify.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2017 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+# bottlenecks: this file is copied from yardstick and slightly modified
+##############################################################################
+
+# installs required packages
+# must be run from inside the image (either chrooted or running)
+
+set -ex
+
+if [ $# -eq 1 ]; then
+ nameserver_ip=$1
+
+ # /etc/resolv.conf is a symbolic link to /run, restore at end
+ rm /etc/resolv.conf
+ echo "nameserver $nameserver_ip" > /etc/resolv.conf
+ echo "nameserver 8.8.8.8" >> /etc/resolv.conf
+ echo "nameserver 8.8.4.4" >> /etc/resolv.conf
+fi
+
+# Add hostname to /etc/hosts.
+# Allow console access via pwd
+cat <<EOF >/etc/cloud/cloud.cfg.d/10_etc_hosts.cfg
+manage_etc_hosts: True
+password: RANDOM
+chpasswd: { expire: False }
+ssh_pwauth: True
+EOF
+
+#install some software
+apt-get update
+apt-get install -y \
+ netperf \
+ sysstat
+
+# restore symlink
+ln -sf /run/resolvconf/resolv.conf /etc/resolv.conf